dslreports logo
site
 
    All Forums Hot Topics Gallery
spc

spacer




how-to block ads


Search Topic:
uniqs
7516
share rss forum feed


NICK ADSL UK
Premium,MVM
join:2004-02-22
kudos:16
Reviews:
·Zen Internet

2 recommendations

Java SE 7, Update 5 (JDK 7u5)


Ken1943

join:2001-12-30
Denver, CO

Anything good/bad about updating from 6 to 7 ?

Google doesn't really come up with any good answers.


zach3
Zach
Premium
join:2000-05-04
Saint Louis, MO

Hi Ken,

I had an issue after updating and had to revert back to 6. Here is a link to what happened to me.

»[Compatibility] Java Update Issue

Zach



siljaline
I'm lovin' that double wide
Premium
join:2002-10-12
Montreal, QC
kudos:17
Reviews:
·Bell Sympatico
reply to NICK ADSL UK

Pentangle See Profile wrote:
»[Updated] JRE 6 Update 33 & JRE 7 Update 5 - June 12/12



chachazz
Premium
join:2003-12-14
kudos:9
Reviews:
·TELUS

1 edit

1 recommendation

reply to Ken1943

quote:
This release contains fixes for security vulnerabilities.
For more information, see Oracle Java SE Critical Patch Update Advisory.
ps: thanks Nick

--
Gladiator Security Forum: www.gladiator-antivirus.com/


MarkAW
Barry White
Premium
join:2001-08-27
Canada
kudos:16

1 recommendation

reply to NICK ADSL UK

Thanks nick.


Mister_E

join:2004-04-02
Etobicoke, ON
Reviews:
·Bell Sympatico
reply to NICK ADSL UK

Anyone running Java 7u5 on IE9 (32bit) with the "next-generation Java Plug-in" enabled able to run the "Verify Java version" on java.com?

I can't get it to run (always get an error) unless I disable the "next-generation Java Plug-in". (for that matter, 7u4 also didn't work for me)



Triple Helix
Go Blue Jays Go
Premium
join:2007-07-26
Oshawa, ON
kudos:7
Reviews:
·Rogers Hi-Speed

1 recommendation

reply to NICK ADSL UK

Thanks Nick!

Daniel

--
Triple Helix - Microsoft® MVP Consumer Security 2012
VIP Member Of ASAP - (Alliance of Security Analysis Professionals™)
Official Webroot SecureAnywhere (Prevx) Support Forum Helper!
(H59 Clan)



kcazzie
One Of Jerry's Kids
Premium
join:2000-08-13
Morton Grove, IL
reply to Mister_E

said by Mister_E:

Anyone running Java 7u5 on IE9 (32bit) with the "next-generation Java Plug-in" enabled able to run the "Verify Java version" on java.com?

I can't get it to run (always get an error) unless I disable the "next-generation Java Plug-in". (for that matter, 7u4 also didn't work for me)

No problem here...


Triple Helix
Go Blue Jays Go
Premium
join:2007-07-26
Oshawa, ON
kudos:7
Reviews:
·Rogers Hi-Speed
reply to NICK ADSL UK

No Problem here also!

TH


Anon users

@anonymouse.org

For a few lonely poors who had problems installing recent JRE 6/7, this might be a solution:

EMET: set DEP to 'Application Opt Out' to install the package, then reset DEP to 'Always On'

Good luck


GuruGuy

join:2002-12-16
Atlanta, GA
reply to NICK ADSL UK

I have a problem as posted here:

»[Updated] JRE 6 Update 33 & JRE 7 Update 5 - June 12/12

Displays wrong version in the "about" screen.
--
GuruGuy



jabarnut
Light Years Away
Premium,MVM
join:2005-01-22
Galaxy M31
kudos:2

1 recommendation

I'm not sure why you think it's displaying the wrong version, GuruGuy.
As I mentioned in the other thread, build 1.7.0_05-b05 is correct for Java Version 7 Update 5...it's always written out that way.

Oh, and thanks, Nick.
--
I had a life once.....now I have a Computer and a Modem.


GuruGuy

join:2002-12-16
Atlanta, GA

The new build is "u5" not "b05"
--
GuruGuy



jabarnut
Light Years Away
Premium,MVM
join:2005-01-22
Galaxy M31
kudos:2

Did you look at my screenshot in the other thread, and also try out the test page I linked to? Unless I'm totally off the wall here, you have the most up to date version.
--
I had a life once.....now I have a Computer and a Modem.


GuruGuy

join:2002-12-16
Atlanta, GA

Yes, I did see your screenshot. The build version showing in your screenshot is the same as mine.

However, the NEW build version is "u5". Not "b05". Thus the reason for my question, why is the build version not showing as "u5".
--
GuruGuy


GuruGuy

join:2002-12-16
Atlanta, GA
reply to jabarnut

Yes. However the NEW build version is "u5" and not "b05".

Why is the build version showing the wrong version.
--
GuruGuy



gugarci
Premium
join:2004-02-25
Lyndhurst, NJ
Reviews:
·Comcast
reply to NICK ADSL UK

I guess Java.com was not offering 6.33 since I went from 6.32 to 7.05. I always update from Java.com only, and have never updated directly from Oracle.
Also this version did not uninstall my previous version automatically 6.32. And what is this Java FX 2.1 component? I have not seen that before.

Thanks.
--
Desktop Win 7 x64 Emsisoft Anti Malware v6. Laptop Win 7 x64 & Desktop XP Pro Emsisoft Anti Malware v6 & Online Armor Premium v5. Netbook Avast v7. Netbook MSE. MBAM and Hitman Pro used on-demand only.


DrDemento

join:2005-07-25
Brick, NJ

Noticed the same thing. Have no clue what this FX 2.1.1 is and whether it can just be removed or not.


Shady Bimmer
Premium
join:2001-12-03
Northport, NY
Reviews:
·Verizon FiOS

1 edit

1 recommendation

reply to GuruGuy

said by GuruGuy:

Yes. However the NEW build version is "u5" and not "b05".

Why is the build version showing the wrong version.

The build version has nothing to do with the "update" version. 1.7.0_05-b05 absolutely IS the latest update. "1.7.0" is Java SE 7, "_05" is u5.

Straight from the authoritative site ( »www.oracle.com/technetwork/java/···274.html ):

The full version string for this update release is 1.7.0_05-b05 (where "b" means "build") and the version number is 7u5.


gugarci
Premium
join:2004-02-25
Lyndhurst, NJ
Reviews:
·Comcast
reply to NICK ADSL UK

Well if you do a search you will find answers but i have no time to read them now.
»www.google.com/search?sugexp=chr···&bih=889
--
Desktop Win 7 x64 Emsisoft Anti Malware v6. Laptop Win 7 x64 & Desktop XP Pro Emsisoft Anti Malware v6 & Online Armor Premium v5. Netbook Avast v7. Netbook MSE. MBAM and Hitman Pro used on-demand only.


GuruGuy

join:2002-12-16
Atlanta, GA
reply to Shady Bimmer

said by Shady Bimmer:

said by GuruGuy:

Yes. However the NEW build version is "u5" and not "b05".

Why is the build version showing the wrong version.

The build version has nothing to do with the "update" version. 1.7.0_05-b05 absolutely IS the latest update. "1.7.0" is Java SE 7, "_05" is u5.

Straight from the authoritative site (»www.oracle.com/technetwork/java/···4.html):

The full version string for this update release is 1.7.0_05-b05 (where "b" means "build") and the version number is 7u5.

Your link returns a 404 error

We're sorry, the page you requested was not found
--
GuruGuy

Shady Bimmer
Premium
join:2001-12-03
Northport, NY

Fixed.

For some reason the forum editor attached the closing parenthesis and colon to the url - simply take these off the end of the url after you get the '404' and refresh, or click on the link in the updated post above.



chachazz
Premium
join:2003-12-14
kudos:9
Reviews:
·TELUS
reply to gugarci

said by gugarci:

And what is this Java FX 2.1 component? I have not seen that before.

Thanks.

JDK and JRE versions from 1.7.0_04 (Java 7 update 4) and onwards include JavaFX bundled to be installed with them. When Java 8 is available, JavaFX will become part of the JRE/JDK.[11]
--
Gladiator Security Forum: www.gladiator-antivirus.com/


gugarci
Premium
join:2004-02-25
Lyndhurst, NJ

1 recommendation

reply to NICK ADSL UK

Thanks.



rcdailey
Dragoonfly
Premium
join:2005-03-29
Rialto, CA
reply to NICK ADSL UK

If I had checked here first, I would have known about it before I ran Secunia PSI, but at least the PSI also found the update.
--
It is easier for a camel to put on a bikini than an old man to thread a needle.



Pentangle
With our thoughts we make the world.
Premium
join:2006-06-01
Vancouver BC
kudos:2
reply to Mister_E

said by Mister_E:

Anyone running Java 7u5 on IE9 (32bit) with the "next-generation Java Plug-in" enabled able to run the "Verify Java version" on java.com?

I can't get it to run (always get an error) unless I disable the "next-generation Java Plug-in". (for that matter, 7u4 also didn't work for me)

As an alternative you can always try Michael Horowitz's Java Tester website found here:
»www.javatester.org/index.htm

Mister_E

join:2004-04-02
Etobicoke, ON
Reviews:
·Bell Sympatico

2 edits

Java works for me, but only if I've disabled the "next generation Java Plug-in".

It must be something I've got in my setup that's blocking the new plug-in from working...

Edit:

Found the cause. Appears to be Firewall related.

I'm using Windows 7 Firewall and have configured it to block outgoing connections. I've been using Windows Firewall Notifier to catch the outgoing connections and creating rules as needed. It appears that when the next generation Java Plug in is enabled, it's not generating an outgoing prompt (or it's blocked) and causes it to fail.

When I enable all outbound connections, the test loads fine with the next generation Java Plug in enabled..


MomOfARocker

join:2009-06-07
Canada
reply to Ken1943

The last time I tried to update to Java 7 I was unable to play the games I like on Pogo.com ... so I've had to stay at the most recent update of Java 6. I'm not certain if their website has become compatible with Java 7 yet but I don't believe they have.